/// <reference types="@types/google.maps" />
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        id?: string | undefined;
        options?: google.maps.MapOptions | undefined;
        onDblClick?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onDragEnd?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onDragStart?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onMouseDown?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onMouseMove?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onMouseOut?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onMouseOver?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onMouseUp?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onRightClick?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onClick?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onDrag?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onCenterChanged?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onLoad?: ((map: google.maps.Map) => void) | undefined;
        onUnmount?: ((map: google.maps.Map) => void) | undefined;
        mapContainerStyle?: string | undefined;
        mapContainerClassName?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type GoogleMapProps = typeof __propDef.props;
export type GoogleMapEvents = typeof __propDef.events;
export type GoogleMapSlots = typeof __propDef.slots;
export default class GoogleMap extends SvelteComponent<GoogleMapProps, GoogleMapEvents, GoogleMapSlots> {
}
export {};
