/// <reference types="@types/google.maps" />
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        position: google.maps.LatLng | google.maps.LatLngLiteral;
        options: google.maps.marker.AdvancedMarkerElementOptions;
        onClick?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onClickableChanged?: (() => void) | undefined;
        onCursorChanged?: (() => void) | undefined;
        onAnimationChanged?: (() => void) | undefined;
        onDblClick?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onDrag?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onDragEnd?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onDraggableChanged?: (() => void) | undefined;
        onDragStart?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onFlatChanged?: (() => void) | undefined;
        onIconChanged?: (() => void) | undefined;
        onMouseDown?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onMouseOut?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onMouseOver?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onMouseUp?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onPositionChanged?: (() => void) | undefined;
        onRightClick?: ((e: google.maps.MapMouseEvent) => void) | undefined;
        onShapeChanged?: (() => void) | undefined;
        onTitleChanged?: (() => void) | undefined;
        onVisibleChanged?: (() => void) | undefined;
        onZindexChanged?: (() => void) | undefined;
        onLoad?: ((marker: google.maps.marker.AdvancedMarkerElement) => void) | undefined;
        onUnmount?: ((marker: google.maps.marker.AdvancedMarkerElement) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type MarkerProps = typeof __propDef.props;
export type MarkerEvents = typeof __propDef.events;
export type MarkerSlots = typeof __propDef.slots;
export default class Marker extends SvelteComponent<MarkerProps, MarkerEvents, MarkerSlots> {
}
export {};
